unit grafik;
interface
type polozenie = object
       private
       x,y : Integer;
       procedure wspolrzedne(nowy_x,nowy_y:Integer);
       end;
     punkt     = object(polozenie)
       kolor : Byte;
       procedure zaznacz(barwa:Byte);
       end;
     okrag     = object(punkt)
       promien : Integer;
       procedure wspolrzedne(nowy_x,nowy_y,
                                n_promien:Integer);
       procedure rysuj (barwa:Byte);
       end;
implementation
uses Graph;
procedure polozenie.wspolrzedne(nowy_x,
                                  nowy_y:Integer);
  begin
    x:=nowy_x;
    y:=nowy_y;
  end;
procedure punkt.zaznacz(barwa:Byte);
  begin
    kolor:=barwa;
    PutPixel(x,y,kolor);
  end;
procedure okrag.wspolrzedne(nowy_x,nowy_y,
                              n_promien:Integer);
  begin
    polozenie.wspolrzedne(nowy_x,nowy_y);
    promien:=n_promien;
  end;
procedure okrag.rysuj(barwa:Byte);
  begin
    SetColor(barwa);
    Circle(x,y,promien);
  end;
end.
